apiVersion: {{apiVersion}}
kind: Ingress
metadata:
  name: ingress-{{app_name}}
  namespace: {{env}}
  annotations:
{{annotations | to_nice_yaml | indent(4,true,blank=false)}}
spec:
  rules:
{% for rule in ingress_hosts_rules %}
    - host: {{rule.host}}
      http:
       paths:
{% for path in rule.paths %}
       - path: {{ path.path  }}
         backend:
            serviceName: service-{{app_name}}
            servicePort: {{path.servicePort}}
{% endfor %}
{% endfor %}
